Skip to main content
GET
/
v1
/
credit_notes
/
{id}
/
lines
Retrieve a credit note's line items
curl --request GET \
  --url https://api.yorlet.com/v1/credit_notes/{id}/lines \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "has_more": false,
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "created": 123,
      "object": "credit_note_line_item",
      "amount": 123,
      "amount_excluding_tax": 123,
      "credit_note": "<string>",
      "currency": "gbp",
      "description": "<string>",
      "invoice_item": "<string>",
      "pretax_credit_amounts": [
        {
          "amount": 123,
          "credit_grant": "<string>",
          "display_name": "<string>",
          "invoice_item": "<string>",
          "type": "credit_grant"
        }
      ],
      "tax_amounts": [
        {
          "amount": 123,
          "tax_rate": 123,
          "taxable_amount": 123
        }
      ],
      "type": "invoice_item",
      "account": "<string>",
      "deleted": false
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

A object with a data property that contains an array of credit note line items.

count
number
required

Total number of items in the list.

Example:

1

has_more
boolean
required

Whether more items are available.

Example:

false

object
enum<string>
required
Available options:
list
data
object[]
required